SynchChannelServerToServerSocketAdapter (ActiveIO 1.0 API)
Keywords: org.activeio.adapter.SynchChannelServerToServerSocketAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.adapter
Class SynchChannelServerToServerSocketAdapter

    java.lang.Object
      java.net.ServerSocket
          org.activeio.adapter.SynchChannelServerToServerSocketAdapter

public class SynchChannelServerToServerSocketAdapter
extends java.net.ServerSocket

Field Summary
`(package private) boolean` | `closed`

Constructor Summary
`SynchChannelServerToServerSocketAdapter(SynchChannelServer channelServer)`

Method Summary
`java.net.Socket` | `accept()`
`void` | `bind(java.net.SocketAddress endpoint)`
`void` | `bind(java.net.SocketAddress endpoint, int backlog)`
`void` | `close()`
`java.nio.channels.ServerSocketChannel` | `getChannel()`
`java.net.InetAddress` | `getInetAddress()`
`int` | `getLocalPort()`
`java.net.SocketAddress` | `getLocalSocketAddress()`
`int` | `getReceiveBufferSize()`
`boolean` | `getReuseAddress()`
`int` | `getSoTimeout()`
`boolean` | `isBound()`
`boolean` | `isClosed()`
`void` | `setPerformancePreferences(int connectionTime, int latency, int bandwidth)`
`void` | `setReceiveBufferSize(int size)`
`void` | `setReuseAddress(boolean on)`
`void` | `setSoTimeout(int timeout)`

Methods inherited from class java.net.ServerSocket
`implAccept, setSocketFactory, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### closed

    boolean closed

Constructor Detail

### SynchChannelServerToServerSocketAdapter

    public SynchChannelServerToServerSocketAdapter(SynchChannelServer channelServer)
                                            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### setSoTimeout

    public void setSoTimeout(int timeout)
                      throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getSoTimeout

    public int getSoTimeout()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### accept

    public java.net.Socket accept()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### bind

    public void bind(java.net.SocketAddress endpoint,
                     int backlog)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### bind

    public void bind(java.net.SocketAddress endpoint)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getChannel

    public java.nio.channels.ServerSocketChannel getChannel()

### getInetAddress

    public java.net.InetAddress getInetAddress()

### getLocalPort

    public int getLocalPort()

### getLocalSocketAddress

    public java.net.SocketAddress getLocalSocketAddress()

### getReceiveBufferSize

    public int getReceiveBufferSize()
                             throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getReuseAddress

    public boolean getReuseAddress()
                            throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### isBound

    public boolean isBound()

### isClosed

    public boolean isClosed()

### setPerformancePreferences

    public void setPerformancePreferences(int connectionTime,
                                          int latency,
                                          int bandwidth)

### setReceiveBufferSize

    public void setReceiveBufferSize(int size)
                              throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setReuseAddress

    public void setReuseAddress(boolean on)
                         throws java.net.SocketException

  Throws:
    `java.net.SocketException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.